<?php
if (!empty($_POST))
{
	$required_fields = ['username', 'email', 'password'];

	foreach($_POST as $key=>$value)
	{
		if (empty($value) && in_array($key, $required_fields) == true)
		{
			$errors[] = 'Fields marked with asterix are required.';
			break;
		}
	}

	if (empty($errors))
	{
		if ($db->countEntries("username", $_POST['username'], "users"))
		{
			$errors[] = "Sorry, the username already exists.";
		}

		if (preg_match("/\\s/", $_POST['username']))
		{
			$errors[] = "Your username may not contain whitespace";
		}

		if (strlen($_POST['password'] > 6))
		{
			$errors[] = "Your password must be at least 6 chars long";
		}

		if ($_POST['password'] != $_POST['passwordagain'])
		{
			$errors[] = "Your passwords do not match";
		}
		
		if (filter_var($_POST['email'], FILTER_VALIDATE_EMAIL) == false)
		{
			$errors[] = "Enter valid email address";
		}

		if ($db->countEntries("email", $_POST['email'], "users"))
		{
			$errors[] = "Email aready taken.";
		}
	}

	if (empty($errors))
	{
		$user_data = [	'username'	 => $_POST['username'],
						'password'   => md5($_POST['password']),
						'email'	     => $_POST['email'],
						'profile'    => 'images/anon.png',
						'privileges' => 1000];

		$db->registerUser($user_data, "users");
		header('Location: index.php');	
	}
	else
	{
		print_r($errors);
	}
}
?>
